Uses of Enum Class
com.eqixiac.equinix.customerportal.enums.AttachmentPurpose
Packages that use AttachmentPurpose
Package
Description
Customer Portal client interfaces for the Equinix Java SDK.
Customer Portal enumerations for the Equinix Java SDK.
-
Uses of AttachmentPurpose in com.eqixiac.equinix.customerportal.client
Methods in com.eqixiac.equinix.customerportal.client with parameters of type AttachmentPurposeModifier and TypeMethodDescriptionAttachments.upload(byte[] fileBytes, String fileName, AttachmentPurpose purpose) Uploads a file as a new attachment. -
Uses of AttachmentPurpose in com.eqixiac.equinix.customerportal.client.implementation
Methods in com.eqixiac.equinix.customerportal.client.implementation with parameters of type AttachmentPurposeModifier and TypeMethodDescriptionAttachmentsImpl.upload(byte[] fileBytes, String fileName, AttachmentPurpose purpose) -
Uses of AttachmentPurpose in com.eqixiac.equinix.customerportal.client.internal
Methods in com.eqixiac.equinix.customerportal.client.internal with parameters of type AttachmentPurposeModifier and TypeMethodDescriptionAttachmentClient.upload(byte[] fileBytes, String fileName, AttachmentPurpose purpose) -
Uses of AttachmentPurpose in com.eqixiac.equinix.customerportal.client.internal.implementation
Methods in com.eqixiac.equinix.customerportal.client.internal.implementation with parameters of type AttachmentPurposeModifier and TypeMethodDescriptionAttachmentClientImpl.upload(byte[] fileBytes, String fileName, AttachmentPurpose purpose) Uploads a file as a new attachment via a hand-builtmultipart/form-datarequest. -
Uses of AttachmentPurpose in com.eqixiac.equinix.customerportal.enums
Subclasses with type arguments of type AttachmentPurpose in com.eqixiac.equinix.customerportal.enumsModifier and TypeClassDescriptionenumPurpose for which an attachment is uploaded (POST /v1/attachments/file,purposequery parameter).Methods in com.eqixiac.equinix.customerportal.enums that return AttachmentPurposeModifier and TypeMethodDescriptionstatic AttachmentPurposeReturns the enum constant of this class with the specified name.static AttachmentPurpose[]AttachmentPurpose.values()Returns an array containing the constants of this enum class, in the order they are declared.